rpms/opyum/devel opyum, NONE, 1.1 opyum-0.0.2-configure.patch, NONE, 1.1 opyum.spec, NONE, 1.1 .cvsignore, 1.1, 1.2 sources, 1.1, 1.2

Debarshi Ray (rishi) fedora-extras-commits at redhat.com
Sun Oct 14 19:56:13 UTC 2007


Author: rishi

Update of /cvs/pkgs/rpms/opyum/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv24338/devel

Modified Files:
	.cvsignore sources 
Added Files:
	opyum opyum-0.0.2-configure.patch opyum.spec 
Log Message:
Initial import into devel.

 Modified Files:
 	devel/.cvsignore devel/sources 
 Added Files:
 	devel/opyum devel/opyum-0.0.2-configure.patch devel/opyum.spec 



--- NEW FILE opyum ---
#! /bin/bash

LANG=en_US.UTF-8 `dirname $0`/opyum-start "$@"
exit $?

opyum-0.0.2-configure.patch:

--- NEW FILE opyum-0.0.2-configure.patch ---
diff -urNp opyum-0.0.2.orig/configure opyum-0.0.2/configure
--- opyum-0.0.2.orig/configure	2007-08-23 06:59:36.000000000 +0530
+++ opyum-0.0.2/configure	2007-08-23 08:29:29.000000000 +0530
@@ -2307,34 +2307,6 @@ echo "${ECHO_T}$am_cv_python_pyexecdir" 
 
 
 
-    if test -z $PYTHON;
-    then
-        PYTHON="python"
-    fi
-    PYTHON_NAME=`basename $PYTHON`
-    { echo "$as_me:$LINENO: checking $PYTHON_NAME module: pirut" >&5
-echo $ECHO_N "checking $PYTHON_NAME module: pirut... $ECHO_C" >&6; }
-        $PYTHON -c "import pirut" 2>/dev/null
-        if test $? -eq 0;
-        then
-                { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-                eval HAVE_PYMOD_PIRUT=yes
-        else
-                { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-                eval HAVE_PYMOD_PIRUT=no
-                #
-                if test -n "fatal"
-                then
-                        { { echo "$as_me:$LINENO: error: failed to find required module pirut" >&5
-echo "$as_me: error: failed to find required module pirut" >&2;}
-   { (exit 1); exit 1; }; }
-                        exit 1
-                fi
-        fi
-
-
 GETTEXT_PACKAGE=opyum
 
 { echo "$as_me:$LINENO: checking whether ln -s works" >&5


--- NEW FILE opyum.spec ---
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Offline package installation and update tools
Name: opyum
Version: 0.0.2
Release: 2%{?dist}
License: GPLv2
Group: Applications/System
URL: https://hosted.fedoraproject.org/projects/opyum
Source0: http://rishi.fedorapeople.org/opyum/%{name}-%{version}.tar.gz
Source1: %{name}

Patch0: %{name}-%{version}-configure.patch

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: hicolor-icon-theme
Requires: pirut >= 1.3.11

BuildRequires: desktop-file-utils
BuildRequires: python

BuildArch: noarch

%description
Opyum (pronounced 'opium') provides a set of tools to enable users, who do not
have a good network (eg., Internet) connection at their ready disposal, to
easily install new packages or update existing ones through the conventional
package management system available in Fedora.

%prep
%setup -q
%patch0 -p1

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Workaround for Red Hat Bugzilla bug #252136.
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}-start
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  ./data/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post 
touch  --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun 
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog ChangeLog.0 COPYING NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-start
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_mandir}/man8/%{name}.8.gz

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ui

%changelog
* Thu Aug 23 2007 Debarshi Ray <rishi at fedoraproject.org> - 0.0.2-2
- Added 'BuildRequires: python'.
- Fixed build failure caused by check for pirut modules in configure script.
- Workaround for Red Hat Bugzilla bug #252136.

* Sun Aug 19 2007 Debarshi Ray <rishi at fedoraproject.org> - 0.0.2-1
- Initial build.


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/opyum/devel/.cvsignore,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- .cvsignore	31 Aug 2007 17:05:27 -0000	1.1
+++ .cvsignore	14 Oct 2007 19:55:40 -0000	1.2
@@ -0,0 +1 @@
+opyum-0.0.2.tar.gz


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/opyum/devel/sources,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- sources	31 Aug 2007 17:05:27 -0000	1.1
+++ sources	14 Oct 2007 19:55:40 -0000	1.2
@@ -0,0 +1 @@
+299873e5d0b4d762a261edb6b9bc62e6  opyum-0.0.2.tar.gz




More information about the fedora-extras-commits mailing list